#include <iostream>
#include "kernel_ctx/kernel_ctx.h"
#include "mem_ctx/mem_ctx.hpp"

int main()
{
	nasa::load_drv();
	nasa::kernel_ctx kernel;
	nasa::unload_drv();

	nasa::mem_ctx my_proc(kernel, GetCurrentProcessId());
	for (auto idx = 0u; idx < 512 * 512 * 512 * 5; ++idx)
		my_proc.read_virtual<short>(GetModuleHandleA(NULL));

	std::cout << "[+] accessed my base address (512 ^ 4) * 5 times..." << std::endl;
	std::cin.get();
}